Swiftnet MEFG Server version missmatch Swiftnet 6 / Swiftnet 7

Technote (troubleshooting)


Problem(Abstract)

Swiftnet 7 Adapters in Sterling B2B Integrator must use Swiftnet 7 MEFG Servers only. If the component Swiftnet MEFG Server is still the Swiftnet 6 version, the adapter start will fail and the MEFGSwiftnetServerS1.log shows the error "CDSwiftCfg::validateBEAgainstProfile:
Number of RA1 businese entities do not match number of profiles."

Symptom

Swiftnet7 Adapter start is failing,
MEFGSwiftnetServerS1.log shows

CDSwiftCfg::validateBEAgainstProfile:
Number of RA1 businese entities do not match number of profiles.

Cause

Mismatch between Swiftnet Adapter version (Swiftnet7) in Sterling B2B Integrator and installed MEFG Swiftnet component (Swiftnet 6)

Environment

All supported MEFG Swiftserver environments

Diagnosing the problem

When installing your Swiftnet

Resolving the problem

When installing the remote Swiftnet components of Sterling B2B Integrator, choose the proper Swiftnet 7 jars, e.g.

<SterlingIntegratorInstallDir>/packages/SWIFTNet_MEFG
swiftnet7_8000401.jar instead of swiftnet_8000401.jar
If you picked the wrong one before, reinstall as described in
http://pic.dhe.ibm.com/infocenter/sb2bi/v5r2/topic/com.ibm.help.stds800_swiftnet.doc/t_STDS_SWIFT_InstallTheSWIFTNetMEFGServer.html

Rate this page:

(0 users)Average rating

Document information


More support for:

Sterling B2B Integrator
Adapters

Software version:

5.2.2, 5.2.3, 5.2.4, 5.2.4.1

Operating system(s):

All

Reference #:

1623319

Modified date:

2013-02-05

Translate my page

Machine Translation

Content navigation